/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VInputHelpDeDe;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputHelpDeDeRecord extends TableRecordImpl<VInputHelpDeDeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_help_de_de.inputhelp</code>.
     */
    public void setInputhelp(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_help_de_de.inputhelp</code>.
     */
    public Integer getInputhelp() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_help_de_de.inputhelp_descr</code>.
     */
    public void setInputhelpDescr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_help_de_de.inputhelp_descr</code>.
     */
    public String getInputhelpDescr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_help_de_de.value</code>.
     */
    public void setValue(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_help_de_de.value</code>.
     */
    public String getValue() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_help_de_de.needed_params</code>.
     */
    public void setNeededParams(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_help_de_de.needed_params</code>.
     */
    public Integer getNeededParams() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputHelpDeDeRecord
     */
    public VInputHelpDeDeRecord() {
        super(VInputHelpDeDe.V_INPUT_HELP_DE_DE);
    }

    /**
     * Create a detached, initialised VInputHelpDeDeRecord
     */
    public VInputHelpDeDeRecord(Integer inputhelp, String inputhelpDescr, String value, Integer neededParams) {
        super(VInputHelpDeDe.V_INPUT_HELP_DE_DE);

        setInputhelp(inputhelp);
        setInputhelpDescr(inputhelpDescr);
        setValue(value);
        setNeededParams(neededParams);
        resetChangedOnNotNull();
    }
}
